#!/usr/bin/perl -w

use Test::More 'no_plan';

package Catch;

sub TIEHANDLE {
    my($class, $var) = @_;
    return bless { var => $var }, $class;
}

sub PRINT  {
    my($self) = shift;
    ${'main::'.$self->{var}} .= join '', @_;
}

sub OPEN  {}    # XXX Hackery in case the user redirects
sub CLOSE {}    # XXX STDERR/STDOUT.  This is not the behavior we want.

sub READ {}
sub READLINE {}
sub GETC {}
sub BINMODE {}

my $Original_File = 'root/usr/share/perl5/vendor_perl/esmith/FormMagick/Panel/qmailanalog.pm';

package main;

# pre-5.8.0's warns aren't caught by a tied STDERR.
$SIG{__WARN__} = sub { $main::_STDERR_ .= join '', @_; };
tie *STDOUT, 'Catch', '_STDOUT_' or die $!;
tie *STDERR, 'Catch', '_STDERR_' or die $!;

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 41 root/usr/share/perl5/vendor_perl/esmith/FormMagick/Panel/qmailanalog.pm
 
use_ok 'esmith::FormMagick::Panel::qmailanalog';
$FM = esmith::FormMagick::Panel::qmailanalog->new();
isa_ok($FM, 'esmith::FormMagick::Panel::qmailanalog');
$FM->{cgi} = CGI->new;


    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 68 root/usr/share/perl5/vendor_perl/esmith/FormMagick/Panel/qmailanalog.pm

$FM->{cgi}->param(-name=>'report_type', -value=>'zoverall');
$FM->generateReport();
like($_STDOUT_, qr/REPORT_GENERATED/, 'generateReport');


    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

